# CAN-ETH C/C++ API

The *CAN-ETH* C/C++ API is a library which offers C and C++ applications access to remote CAN buses conncted via the **proconX CAN-ETH** CAN-Ethernet gateway.

![proconX CAN-ETH gateway](doc/images/caneth_iso.jpg)


## Target platforms

The library can be compiled for Windows and Linux as well as any OS supporting the POSIX threads API.


## Building the API library

### Windows

The library is shipped with Visual Studio solution files which can be opened from Visual Studio.


### Linux and other platform

The library is shipped with CMake scripts and can be build using CMake.

To build for Linux, execute these commands from the folder containing the CMakeLists.txt file:

    mkdir -p build/linux
    cd build/linux
    cmake ../..
    make


## Documentation

API Documentation in HTML format can be found in the `doc` folder.
